Bug 1572107 - RuntimeError: NOTABUG: testing exception handling
Summary: RuntimeError: NOTABUG: testing exception handling
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:91a2985fab77e998667c45910a5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 08:12 UTC by Alessio
Modified: 2019-05-28 19:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:57:27 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (430.14 KB, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: anaconda.log (10.61 KB, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: dbus.log (3.10 KB, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: environ (651 bytes, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: journalctl (247.96 KB, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: lsblk_output (1.13 KB, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: nmcli_dev_list (1.65 KB, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: os_info (623 bytes, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: program.log (32.59 KB, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: storage.log (54.98 KB, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details
File: ifcfg.log (2.13 KB, text/plain)
2018-04-26 08:12 UTC, Alessio
no flags Details

Description Alessio 2018-04-26 08:12:15 UTC
Description of problem:
sdasdasdas

Version-Release number of selected component:
anaconda-core-28.22.10-1.fc28.x86_64

The following was filed automatically by anaconda:
anaconda 28.22.10 exception report
Traceback (most recent call first):
  File "str_eval", line 3, in f1524730297
    #
  File "str_eval", line 5, in <module>
    # All rights reserved.
  File "/usr/lib64/python3.6/site-packages/pyanaconda/exception.py", line 376, in raise_exception
    eval(compile(code, "str_eval", "exec"))
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
RuntimeError: NOTABUG: testing exception handling

Additional info:
addons:         com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-28-1-1 rd.live.image rd.live.check quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
other involved packages: python3-libs-3.6.5-1.fc28.x86_64
product:        Fedora
release:        Fedora release 28 (Twenty Eight)
type:           anaconda
version:        28

Comment 1 Alessio 2018-04-26 08:12:22 UTC
Created attachment 1427038 [details]
File: anaconda-tb

Comment 2 Alessio 2018-04-26 08:12:24 UTC
Created attachment 1427039 [details]
File: anaconda.log

Comment 3 Alessio 2018-04-26 08:12:26 UTC
Created attachment 1427040 [details]
File: dbus.log

Comment 4 Alessio 2018-04-26 08:12:27 UTC
Created attachment 1427041 [details]
File: environ

Comment 5 Alessio 2018-04-26 08:12:30 UTC
Created attachment 1427042 [details]
File: journalctl

Comment 6 Alessio 2018-04-26 08:12:31 UTC
Created attachment 1427043 [details]
File: lsblk_output

Comment 7 Alessio 2018-04-26 08:12:33 UTC
Created attachment 1427044 [details]
File: nmcli_dev_list

Comment 8 Alessio 2018-04-26 08:12:34 UTC
Created attachment 1427045 [details]
File: os_info

Comment 9 Alessio 2018-04-26 08:12:36 UTC
Created attachment 1427046 [details]
File: program.log

Comment 10 Alessio 2018-04-26 08:12:39 UTC
Created attachment 1427047 [details]
File: storage.log

Comment 11 Alessio 2018-04-26 08:12:40 UTC
Created attachment 1427048 [details]
File: ifcfg.log

Comment 12 Ben Cotton 2019-05-02 19:21:01 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-05-02 21:54:02 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 19:57:27 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.